require(tikzDevice)
options(tikzLatexPackages = c(getOption("tikzLatexPackages"), "\\usepackage{amsmath}"))
tp <- (1:8)[1:2]
for(id in tp) {
    load(paste(id, ".Rdata", sep=""))
## rec <- sqrt(rec[,c(2,5)])
rec <- rec[,c(2,5)]
    ht <- 2
    name <- paste("amse", id, sep="")
    tikz(paste(name, ".tex", sep=""), standAlone=TRUE, width=1.5*ht, height=ht)
    par(mar=c(2.8, 2.8, 0.3, 0.3))
    plot(r.ss, rec[,1], xlab="", ylab="", pch="2", col=2, lty=2,
         ylim=c(min(rec), max(rec)), type="o", lwd=3)
    mtext("$r$", side=1, line=1.8)
    mtext("MSE", side=2, line=1.8)
    ts <- c(2,6)
    idx <- 1:2
    pchs <- c("2", "b")
    for(i in idx[-1])
        lines(r.ss, rec[,i], type="o", pch=pchs[i],
              lty=ts[i], col=6, lwd=3)
    ## abline(h=mse.full, lty=8, col=8, lwd=3)
    ## legend("topright", lty=c(ts,8), pch=c(paste(idx), ""), col=c(ts,8),
    ##        lwd=3, legend=c("uniform", "mMSE", "mVc", "LCC", "full"))
    legend("topright", lty=c(ts), pch=pchs, col=ts,lwd=3, 
           legend=c("Empirical MSE", "Estimated MSE"))
    dev.off()
    tools::texi2dvi(paste(name, ".tex", sep=""),pdf=T)
file.remove(paste(name, c(".aux", ".log", ".tex"), sep=""))
}

## mtext("MSE (E$\\|\\tilde{\\boldsymbol{\\beta}}-\\hat{\\boldsymbol{\\beta}}\\|^2$)", side=2, line=1.8)
