require(tikzDevice)
options(tikzLatexPackages = c(getOption("tikzLatexPackages"), "\\usepackage{amsmath}"))
tp <- (1:6)
for(id in tp) {
    load(paste("ci", id, ".Rdata", sep=""))
pth <- 1
rec.cp <- cbind(cp.simp[pth,], t(cp.opt[pth + d * (0:(nm-1)),]))
    ht <- 2
    name <- paste("plotCI", id, sep="")
    tikz(paste(name, ".tex", sep=""), standAlone=TRUE, width=1.5*ht, height=ht)
    par(mar=c(2.8, 2.8, 0.3, 0.3))
    plot(r.ss, rec.cp[,1], xlab="", ylab="", pch="1",
         ylim=c(0.85, 1), type="o", lwd=3)
    mtext("$r$", side=1, line=1.8)
    mtext("MSE", side=2, line=1.8)
    ts <- c(1, 2, 4, 3)
    idx <- 1:3
    for(i in idx[-1])
        lines(r.ss, rec.cp[,i], type="o", pch=paste(i),
              lty=ts[i], col=ts[i], lwd=3)
    abline(h=0.95, lty=8, col=8, lwd=3)
    legend("bottomleft", lty=c(ts,8), pch=c(paste(idx), ""), col=c(ts,8),
           lwd=3, legend=c("uniform", "mMSE", "mVc"))
    dev.off()
    tools::texi2dvi(paste(name, ".tex", sep=""),pdf=T)
file.remove(paste(name, c(".aux", ".log", ".tex"), sep=""))
}

## mtext("MSE (E$\\|\\tilde{\\boldsymbol{\\beta}}-\\hat{\\boldsymbol{\\beta}}\\|^2$)", side=2, line=1.8)
