case <- 1
r.values <- c(300, 500, 800, 1200)
tp <- (1:4)[3:4]

for(id in tp) {
    r <- r.values[id]
    load(paste("fixr", case, "r", r, ".Rdata", sep=""))
    ## rec[1:lrs,] <- rec[lrs:1,]
    ht <- 2.3
    name <- paste("mse_fixr", id, sep="")
    require(tikzDevice)
    tikz(paste(name, ".tex", sep=""), standAlone=TRUE, width=1.5*ht, height=ht)
    par(mar=c(2.8, 2.7, 0.3, 0.3))
    plot(r.ss/r, rec[,1], xlab="", ylab="", pch="1",
         ylim=c(min(rec), max(rec)), type="o", lwd=3)
    mtext("$r_0/(r_0+r)$", side=1, line=1.8)
    mtext("MSE", side=2, line=1.8)
    ts <- c(1, 2, 4)
    for(i in ts[-1])
        lines(r.ss/r, rec[,i],
              type="o", pch=paste(i), lty=i, col=i, lwd=3)
    legend("bottomright", lty=ts, pch=paste(ts), col=ts, lwd=3,
           legend=c("uniform", "mMSE", "mVc"))
    dev.off()
    tools::texi2dvi(paste(name, ".tex", sep=""),pdf=T)
file.remove(paste(name, c(".aux", ".log", ".tex"), sep=""))
}
