require(tikzDevice)
options(tikzLatexPackages = c(getOption("tikzLatexPackages"), "\\usepackage{amsmath}"))
tp <- (1:6)[1:2]
for(id in tp) {
    load(paste(id, ".Rdata", sep=""))
rec <- rec[, c(1:4, 5)]
    ht <- 2
    name <- paste("raremse", id, sep="")
    tikz(paste(name, ".tex", sep=""), standAlone=TRUE, width=1.5*ht, height=ht)
    par(mar=c(2.8, 2.8, 0.3, 0.3))
    plot(r.ss, rec[,1]+NA, xlab="", ylab="", pch="1",
         ylim=c(min(rec[,c(-1,-4,-5)], mse.full), max(rec[,c(-1,-4,-5)])), type="o", lwd=3)
    mtext("$r$", side=1, line=1.8)
    mtext("Conditional MSE", side=2, line=1.8)
    ts <- c(1, 2, 4, 3, 5)
    idx <- (1:5)[1:3]
    for(i in idx[-1])
        lines(r.ss, rec[,i], type="o", pch=paste(i),
              lty=ts[i], col=ts[i], lwd=3)
    abline(h=mse.full, lty=8, col=8, lwd=3)
    legend("right", lty=c(ts[2:3],8), pch=c(paste(idx[2:3]), ""), col=c(ts[2:3],8),
           lwd=3, legend=c(## "uniform", 
                      "mMSE", "mVc", ## "LCC",
                      "full"))
    dev.off()
    tools::texi2dvi(paste(name, ".tex", sep=""),pdf=T)
file.remove(paste(name, c(".aux", ".log", ".tex"), sep=""))
}

## mtext("MSE (E$\\|\\tilde{\\boldsymbol{\\beta}}-\\hat{\\boldsymbol{\\beta}}\\|^2$)", side=2, line=1.8)
