require(tikzDevice)
options(tikzLatexPackages = c(getOption("tikzLatexPackages"), "\\usepackage{amsmath}"))
tp <- (1:6)[1:3]
for(id in tp) {
    load(paste("unconditional", id, ".Rdata", sep=""))
rec <- rec[, c(1:4)]
    ht <- 2
    name <- paste("unconditionalmse", id, sep="")
    tikz(paste(name, ".tex", sep=""), standAlone=TRUE, width=1.5*ht, height=ht)
    par(mar=c(2.8, 2.8, 0.3, 0.3))
    plot(r.ss, rec[,1]+100, xlab="", ylab="", pch="1",
         ylim=c(min(rec[,c(-1,-4)], mse.full), max(rec[,c(-1,-4)])), type="o", lwd=3)
    mtext("$r$", side=1, line=1.8)
    mtext("Unconditional MSE", side=2, line=1.8)
    ts <- c(1, 2, 4, 3)
    idx <- (1:4)[1:3]
    for(i in idx[-1])
        lines(r.ss, rec[,i], type="o", pch=paste(i),
              lty=ts[i], col=ts[i], lwd=3)
    abline(h=mse.full, lty=8, col=8, lwd=3)
    legend("topright", lty=c(ts[2:3],8), pch=c(paste(idx[2:3]), ""), col=c(ts[2:3],8),
           lwd=3, legend=c(## "uniform", 
                      "mMSE", "mVc", ## "LCC",
                      "full"))
    dev.off()
    tools::texi2dvi(paste(name, ".tex", sep=""),pdf=T)
file.remove(paste(name, c(".aux", ".log", ".tex"), sep=""))
}

## mtext("MSE (E$\\|\\tilde{\\boldsymbol{\\beta}}-\\hat{\\boldsymbol{\\beta}}\\|^2$)", side=2, line=1.8)


## l2.simp <- (Beta.simp - beta0)^2
## l2.opt  <- (Beta.opt  - beta0)^2
## l2.opt[l2.opt>1000]  <- 1000
## mse.simp <- mse.opt <- c()
## for (i in 1:lrs) {
##     loc <- ((i-1)*rpt+1):(i*rpt)
##     mse.simp <- c(mse.simp, sum(rowMeans(l2.simp[,loc], na.rm=TRUE)))
##     mse.opt <- rbind(mse.opt, colSums(matrix(
##         rowMeans(l2.opt[,loc], na.rm=TRUE), d, nm)))
## }
