rm(list=ls())
## library(BB)
library(mvtnorm)
library(mnormt)
ini.time <- Sys.time()
source("twostep.r")
n<-1e6;
beta0  <- c(-7, 1)
b0 <- -7
b1 <- 1
d <- length(beta0)
## corr  <- 0.5
## sigmax  <- matrix(corr, d, d) + diag(1-corr, d)
set.seed(0)
rpt <- 1000
case <- 3
case <- as.numeric(Sys.getenv("PBS_ARRAY_INDEX"))
print(case)
filename <- paste("output/", case, ".Rdata", sep="")
switch(case,
       {    ## 1: 0.001493
           beta0 <- c(-7, 1)
       }, { ## 2: 0.000111
           beta0 <- c(-9.5, 1)
       }, { ## 3: 0.000008
           beta0 <- c(-12.5, 1)
       }, { ## 4: 0.000002
           beta0 <- c(-13.5, 1)
       })
X  <- cbind(1, rnorm(n, 0, 1))
P  <- 1 - 1 / (1 + exp(X %*% beta0))
## P.t  <- 1 - 1 / (1 + exp(b0 + X %*% beta0))

Y  <- rbinom(n, 1, P)
print(mean(Y))
print(mean(Y)*100)
##

fit.full <- getMLE(X, Y, 1)
## print(system.time({
Beta.full <- matrix(NA, d, rpt)
## full data Bootstrap
for (bb in 1:rpt) {
    idx.full <- sample(1:n, n, T)
    x.full <- X[idx.full,]
    y.full <- Y[idx.full]
    Beta.full[,bb] <- getMLE(x.full, y.full, 1)$par
}
mse.full <- sum(rowMeans((Beta.full - beta0)^2, , na.rm=TRUE))
## }))
## mse.full <- 0

P.full <- 1 - 1 / (1 + exp(c(X %*% fit.full$par)))
w.full <- P.full * (1 - P.full)
W.full <- solve(t(X) %*% (X * w.full))
mse.fullA <- sum(diag(W.full))


r1 <- 200
r <- 200

## r1.ss <- round(seq(100, r, length=20))
r.ss <- c(100, 200, 300, 500, 700, 1000)## [5:6]
## r.ss <- c(500, 700, 1000)## [5:6]
lrs <- length(r.ss)
Beta.simp <- matrix(NA, d, rpt*lrs)
nm <- 4
Beta.opt <- matrix(NA, d*nm, rpt*lrs)
itr <- 0

for (r in r.ss) {
cat(r, " ");
set.seed(0)
for (rr in 1:rpt) {
    if (rr%/%100 == rr/100) cat(rr, "-")
    itr <- itr+1
    fit.alg.simp <- 0 ## AlgTwoStp(r1+r, 0)
    Beta.simp[,itr] <- 0## fit.alg.simp$simp
    ## if (any(fit.alg.simp$msg != "Successful convergence")) {
    ##     warning(paste(rr, "not converge", fit.alg.simp$msg))
    ##     Beta.simp[,itr] <- NA
    ## }
    fit.alg <- AlgTwoStp(r1, r)
    if (any(fit.alg$msg != "Successful convergence")) {
        warning(paste(rr, "not converge:", fit.alg$msg))
        next
    }
    Beta.opt[,itr] <- c(fit.alg$opt)
}
cat("\n\n")
}

print(Sys.time() - ini.time)

l2.simp <- (Beta.simp - beta0)^2
l2.opt  <- (Beta.opt  - beta0)^2
mse.simp <- mse.opt <- c()
for (i in 1:lrs) {
    loc <- ((i-1)*rpt+1):(i*rpt)
    mse.simp <- c(mse.simp, sum(rowMeans(l2.simp[,loc], na.rm=TRUE)))
    mse.opt <- rbind(mse.opt, colSums(matrix(
        rowMeans(l2.opt[,loc], na.rm=TRUE), d, nm)))
}

rec <- cbind(mse.simp, mse.opt)

plot(r.ss, rec[,1], xlab="", ylab="", pch="1",
     ylim=c(0, 0), type="o")
pp <- dim(rec)[2]
for(i in 2:pp)
    lines(r.ss, rec[,i], type="o", pch=paste(i), lty=i, col=i)
abline(h=mse.full)
abline(h=mse.fullA, col="red")
legend("center", lty=1:pp, pch=paste(1:pp), col=1:pp,
       legend=c("uniform", "MV", "MVC", "LCC"))

print(rec)
print(sum(rec))
print(mean(Y))

rm(X, Y, W.full, x.full, w.full, P, P.full,y.full)
save.image(file=filename)

## switch(case,
##        {    ## 1:  normal mean 0
##            X  <- rmvnorm(n, rep(0, d), sigmax)
##        }, { ## 2: normal mean 1 variance 1
##            X  <- rmvnorm(n, rep(1.5, d), sigmax)
##        }, { ## 3: normal unequal variance
##            sig <- diag(1 / (1:7))
##            sigU <- sig %*% sigmax %*% sig
##            X  <- rmvnorm(n, rep(0, d), sigU)
##        }, { ## 4: mixnormal means 1 and -1
##            X  <- rmvnorm(n/2, rep(1, d), sigmax/4)
##            X  <- rbind(rmvnorm(n/2, rep(-1, d), sigmax/4), X)
##        }, { ## 5: t3
##            X  <- rmt(n, rep(0, d), sigmax, 3) / 10
##        }, { ## 6: exponential
##            X <- matrix(rexp(n*d, 2), n, d)
##        ## }, { ## lognormal
##        ##     filename <- "output/04.Rdata"
##        ##     X  <- rmvnorm(n, rep(0, d), sigmax)
##        ##     X <- exp(X) / 10
##        })
## P  <- 1 - 1 / (1 + exp(X %*% beta0))
## Y  <- rbinom(n, 1, P)
## print(mean(Y))

## pred.simp <- c()
## res.simp <- abs(Y - (X%*%Beta.simp > 0))
## for (i in 1:lrs) {
##     loc <- ((i-1)*rpt+1):(i*rpt)
##     pred.simp <- c(pred.simp, mean(res.simp[,loc], na.rm=TRUE))
## }
## pred.opt <- matrix(NA, lrs, nm)
## for(j in 1:nm) {
##     locj <- ((j-1)*d+1):(j*d)
##     res.opt <- abs(Y - (X%*%Beta.opt[locj,] > 0))
##     for (i in 1:lrs) {
##         loci <- ((i-1)*rpt+1):(i*rpt)
##         pred.opt[i,j] <- mean(res.opt[,loci], na.rm=TRUE)
##     }
## }
## rm(list=c("res.simp", "res.opt"))
## pred.true <- 1 - mean(abs(Y - (X%*%beta0 > 0)))
## rec.pred <- (1- cbind(pred.simp, pred.opt)) / pred.true
## print(rec.pred)
## print(pred.true)
## pred.full <- 1 - mean(abs(Y - (X%*%fit.full$par > 0)))

## save.image(file=filename)
